Description

Buon giorno

Sto aggiornando il server. E' comparsa la schermata allegata. Ho letto la descrizione, ma non saprei se confermare la scelta di
default "Si" & corretto.

Chiedo se & possibile ricevere una spiegazione di cosa accade, concretamente, qualora si confermasse I'opzione "Si"

Grazie

Associated revisions

Revision aaaf9fdb - 06/12/2017 11:11 AM - Simone Piccardi

Preseed per la scelta di aggiornamento di samba, mette come default il
mantenere la versione locale, refs: #271

History

#1 - 05/31/2017 12:13 PM - Paolo Dongilli
- Assignee set to TRUELITE

#2 - 05/31/2017 12:14 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from TRUELITE to Elena Grandi

Ne avevamo gia' parlato, ricordi per caso le conclusioni che avevamo tratto?

#3 - 05/31/2017 12:38 PM - Elena Grandi

- Assignee changed from Elena Grandi to Simone Piccardi

#4 - 05/31/2017 12:45 PM - Christopher R. Gabriel

Avevamo gia' concluso che andava risposto "no" per preservare quanto configurato da ansible, ma non mi €' chiaro (da qui la richiesta a Simone)
cosa accade (e come si risolve) nel caso in cui si risponda "si"

#5 - 06/09/2017 03:45 PM - Simone Piccardi
- File Schermata a 2017-06-09 14-34-15.png added

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Se si risponde di si apt va avanti nell'installazione e quando arriva a samba si accorge che la versione del file di configurazione presente & modificata
rispetto a quella standard e presenta un menu con varie scelte, tenendo come default quella di mantenere la versione corrente (vedi screenshot
allegato).

Qui basta confermare il default; ovviamente se si cambia e si forza l'installazione della versione di smb.conf del manutentore del pacchetto, la
configurazione installata dal fuss-server verrebbe sovrascritta, e samba smetterebbe di funzionare correttamente.

Per migliorare il flusso dell'aggiornamento si pud comunque far effettuare dal fuss-server un preseeding di debconf (samba-common/do_debconf a

false) in modo che di default in aggiornamento proponga il lasciare la versione corrente. A quel punto in aggiornamento proporra come default
mantenere la versione corrente e bastera da un invio.
#6 - 06/09/2017 04:05 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

Facciamolo, giusto per evitare potenziali errori che portano a problemi.

#7 - 06/12/2017 06:03 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Verificato il comportamento di aaaf9fdb, con l'installazione di un fuss-server comprendente il cambiamento si ottiene:
# debconf-show samba-common

samba-common/dhcp: false
* samba-common/do_debconf: false

samba-common/title:
samba-common/workgroup: WORKGROUP

si puo inserire il commit in una nuova release.

#8 - 06/12/2017 07:23 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

Procedi pure con le modifiche.

#9 - 06/12/2017 07:28 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Elena Grandi

Elena, lo passo a te per la realizzazione della nuova versione del pacchetto con le altre tue modifiche in attesa.

#10 - 06/16/2017 03:31 PM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Baratta

E stato modificato fuss-server perché la richiesta non avvenga pil, per evitare che si possa per errore dare la risposta sbagliata.

Incluso in fuss-server 8.0.14-1, appena pubblicata sul repo

#11 - 06/19/2017 09:37 AM - Paolo Baratta

- Status changed from Commenti to Chiuso

Files
samba.png 48.5 KB 05/24/2017 Paolo Baratta
Schermata a 2017-06-09 14-34-15.png 63.5 KB 06/09/2017 Simone Piccardi
